version 8.0
clear
cd C:\Users\gstadtmann\Documents\_Artikel\0000_Fortnite\skins
capture log close
log using LOGFILE_skins.log, replace
set more off
set memory 100m

set matsize 150






insheet using "C:\Users\gstadtmann\Documents\_Artikel\0000_Fortnite\skins\fort_skin_einles.txt"


desc
sum

drop if price==-1
**** With this command we delete all promotional skins


drop if price==1600
*  Hier schmeisst man 4 observationen weg
drop if price==1800								
**** hier fliegt eine raus	


*######################################################################
* We generate a new variable Price which is the natural log of PRICE
*######################################################################											
sort price
gen PRICE = price
replace price = ln(price)
*######################################################################

replace obs= (717) - obs + 1

desc
summarize



*######################################################################
* We generate dummy variables for the different genders
* mal = 1 if male
* fem = 1 if female
* fan = 1 if fantasy
*######################################################################	
gen mal =0
gen fem =0
gen fan =0
replace mal=1 if sex == 0
replace fem =1 if sex == 1
replace fan =1 if sex == 2

*######################################################################	
*TABLE 1 - Descriptive statistics
*######################################################################	

sum if sex==0
sum if sex==1
sum if sex==2
sum


*######################################################################
*TABLE 2 - Regression results
*Simple regressions with and without time effects obs = time
*obs low = old
*obs high = young
*######################################################################	
reg PRICE  fem fan 
reg price  fem fan 

reg PRICE  fem fan obs
reg price  fem fan obs
*######################################################################





*######################################################################
*TABLE 3 - Descriptive statistics of the data before and after Season 6
*Sample split: Summary statistics
*######################################################################	

sort sex

by sex: sum if obs>288
by sex: sum if obs<288

by sex: sum 


*######################################################################
* Sample split: Generatee a dummy variable in case that it is a relatively new skins
* dum = 1 After season 6 after the sex scandal
*######################################################################	
gen dum= 0
replace dum =1 if obs>288



*######################################################################
* Sample split: Generate  dummy variables in case that it is a relatively new skins
* fem_dum = 1 After the sex scandal AND female skin
*######################################################################	

gen mal_dum= mal*dum
gen fem_dum= fem*dum
gen fan_dum= fan*dum

*######################################################################
* TABLE 4 - Regression results: Fortnite scandal
*######################################################################	

reg PRICE    fem fan mal_dum fem_dum fan_dum
reg price    fem fan mal_dum fem_dum fan_dum

reg PRICE    fem fan mal_dum fem_dum fan_dum obs
reg price    fem fan mal_dum fem_dum fan_dum obs


***ENDE
